%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}
Name:		ovirt-engine-extension-aaa-jdbc
Version:	1.1.0
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
Summary:	oVirt Engine Local Users Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.1.0.tar.gz

BuildRequires: java-devel >= 1.7.0
BuildRequires: slf4j >= 1.7
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-lang
BuildRequires: ant
BuildRequires: jpackage-utils
BuildRequires: ovirt-engine-extensions-api
BuildRequires: postgresql-jdbc
BuildRequires: jackson

Requires: ovirt-engine-extensions-api-impl >= 4.0

%description
Local JDBC user management for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
jar.commons-codec=$(build-classpath commons-codec)
jar.commons-lang=$(build-classpath commons-lang)
jar.jackson-core-asl=$(build-classpath jackson/jackson_core_asl_jar)
jar.jackson-mapper-asl=$(build-classpath jackson/jackson_mapper_asl_jar)
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
jar.jdbc=$(build-classpath postgresql-jdbc)
jar.slf4j-api=$(build-classpath slf4j/slf4j-api)
package.display.name=%{name}-%{version}-%{release}

__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

%files
%doc README.admin
%doc README.developer
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf
%{_bindir}/ovirt-aaa-jdbc-tool

%changelog
* Thu May 26 2016 Martin Perina <mperina@redhat.com> 1.1.0-1
- Sync with upstream 1.1.0 (tag v1.1.0-1)

* Mon Apr 18 2016 Martin Perina <mperina@redhat.com> 1.1.0-0.3
- Sync with current upstream master

* Mon Mar 07 2016 Martin Perina <mperina@redhat.com> 1.1.0-0.2
- Fixed badly named dependency for ovirt-engine-extensions-api-impl

* Fri Feb 26 2016 Martin Perina <mperina@redhat.com> 1.1.0-0.1
- Dropped EL6 support from spec file
- Sync with current upstream master

* Thu Jan 28 2016 Martin Perina <mperina@redhat.com> 1.0.6-1
- Sync with upstream (tag v1.0.6-1)

* Thu Jan 07 2016 Martin Perina <mperina@redhat.com> 1.0.5-1
- Sync with upstream (tag v1.0.5-1)

* Fri Nov 27 2015 Martin Perina <mperina@redhat.com> 1.0.4-1
- Sync with upstream (tag v1.0.4-1)

* Mon Nov 23 2015 Martin Perina <mperina@redhat.com> 1.0.3-1
- Sync with upstream (tag v1.0.3-1)

* Fri Nov 06 2015 Martin Perina <mperina@redhat.com> 1.0.2-1
- Sync with upstream (tag v1.0.2-1)

* Tue Oct 20 2015 Martin Perina <mperina@redhat.com> 1.0.1-1
- Sync with upstream (tag v1.0.1-1)

* Thu Oct 08 2015 Martin Perina <mperina@redhat.com> 1.0.0-2
- Fixes error in source file name in spec

* Thu Oct 08 2015 Martin Perina <mperina@redhat.com> 1.0.0-1
- Sync with upstream (tag v1.0.0-1)

* Wed Oct 07 2015 Martin Perina <mperina@redhat.com> 0.0.0-8
- Sync with upstream (tag v0.0.0-8)

* Mon Sep 21 2015 Martin Perina <mperina@redhat.com> 0.0.0-7
- Sync with upstream (tag v0.0.0-7)

* Tue Sep 01 2015 Martin Perina <mperina@redhat.com> 0.0.0-6
- Sync with upstream (commit 4d9c713a1ddb5c9a74afbda77d6da23a3d0bb6fd)

* Thu Aug 20 2015 Martin Perina <mperina@redhat.com> 0.0.0-5
- Sync with upstream (commit abe281a1b4175e95d1e7e0f5af2e6944a1ea78e9)

* Wed Aug 12 2015 Martin Perina <mperina@redhat.com> 0.0.0-4
- Fixed issue with EL6 database and custom schema

* Tue Aug 11 2015 Martin Perina <mperina@redhat.com> 0.0.0-3
- Sync with upstream

* Sat Jun 20 2015 Martin Perina <mperina@redhat.com> 0.0.0-2
- Fixed dependencies, rhbz#917035

* Tue Jun 16 2015 Martin Perina <mperina@redhat.com> 0.0.0-1
- Initial, rhbz#917035

